
Ruby - Bug #5880

Added examples for Object#instance_of? and Object#is_a?

01/12/2012 01:42 AM - xcess_denied (Manoj Kumar)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: ruby 1.9.3p0 (2011-10-30 revision

33570)

Backport:  

Description

Added examples for Object#is_a? and Object#instance_of?

Associated revisions

Revision 32e66001 - 01/11/2012 05:19 PM - ayumin (Ayumu AIZAWA)

object.c: Added examples for Object#is_a? and Object#instance_of?

patcheed from Manoj Kumar. [Bug #5880] [ruby-core:42057]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34277 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 47bb7f37a10a2d6c2d6075f3075a7f8cbe20bcfe - 02/09/2012 08:13 PM - naruse (Yui NARUSE)

merge revision(s) 34277: [Backport #5881]

    * object.c: Added examples for Object#is_a? and

      Object#instance_of? patcheed from Manoj Kumar.

      [Bug #5880] [ruby-core:42057]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@34529 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 47bb7f37 - 02/09/2012 08:13 PM - naruse (Yui NARUSE)

merge revision(s) 34277: [Backport #5881]

    * object.c: Added examples for Object#is_a? and

      Object#instance_of? patcheed from Manoj Kumar.

      [Bug #5880] [ruby-core:42057]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@34529 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/12/2012 02:19 AM - ayumin (Ayumu AIZAWA)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r34277.

Manoj, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

object.c: Added examples for Object#is_a? and Object#instance_of?

patcheed from Manoj Kumar. [Bug #5880] [ruby-core:42057]

Files

0001-object.c-rb_obj_is_instance_of-rb_obj_is_kind_of-add.patch 1.39 KB 01/12/2012 xcess_denied (Manoj Kumar)
